import QtQuick 2.4
import QtQuick.Controls 2.4
import QtQuick.Layouts 1.3

Page {
    width: 1280
    height: 200

    Connections {
        target: _qmlHandler
        onLog: {
            footerLog.append(logText)
            footerFlickable.contentY = footerLog.height - footerFlickable.height
        }
    }

    Rectangle {
        anchors.fill: parent
        color: "#404040"

        ColumnLayout {
            anchors.fill: parent

            Text {
                id: footerStatusText
                height: 30
                color: "#ffffff"
                text: qsTr("Status: Connected to foobar")
                font.pixelSize: 23
                Layout.preferredHeight: 30
                Layout.preferredWidth: parent.width
            }

            Flickable {
                id: footerFlickable
                flickableDirection: Flickable.VerticalFlick
                Layout.preferredHeight: 170
                Layout.preferredWidth: parent.width

                TextArea.flickable: TextArea {
                    selectByMouse: true
                    id: footerLog
                    wrapMode: TextArea.Wrap
                    text: qsTr("Log goes here\nNew Line works as well")
                    font.pointSize: 15
                }

                ScrollBar.vertical: ScrollBar {
                }
            }
        }
    }
}
