import QtQuick 2.4
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3

Popup {
    id: popup
    height: 200
    dim: true
    clip: false
    width: 400
    modal: true
    focus: true
    closePolicy: Popup.NoAutoClose

    ColumnLayout {
        anchors.fill: parent

        Text {
            Layout.alignment: Qt.AlignCenter
            id: switchText
            color: "#ffffff"
            text: qsTr("Enter the IP to connect:")
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: 20
        }

        TextField {
            Layout.alignment: Qt.AlignCenter
            id: switchIpInput
            selectByMouse: true
            text: qsTr("")
            placeholderText: "Enter IP"
            horizontalAlignment: Text.AlignHCenter
            validator: RegExpValidator {
                regExp: /^(\d|[1-9]\d|1\d\d|2([0-4]\d|5[0-5]))\.(\d|[1-9]\d|1\d\d|2([0-4]\d|5[0-5]))\.(\d|[1-9]\d|1\d\d|2([0-4]\d|5[0-5]))\.(\d|[1-9]\d|1\d\d|2([0-4]\d|5[0-5]))$/
            }
        }

        Text {
            id: switchStatusText
            color: "#df3f3f"
            text: qsTr("Text field for status")
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            Layout.alignment: Qt.AlignCenter
            font.pixelSize: 20
        }

        RowLayout {
            Layout.alignment: Qt.AlignCenter

            Button {
                Layout.alignment: Qt.AlignLeft
                id: switchConnectButton
                text: qsTr("Connect")
                rightPadding: 8
                padding: 12
                enabled: switchIpInput.acceptableInput
                font.pointSize: 16
                // @disable-check M223
                onClicked: {
                    // @disable-check M222
                    _qmlHandler.onSwitchPopupEnterIp(popupIpInput.text)
                    // @disable-check M222
                    popup.close()
                }
            }

            Button {
                Layout.alignment: Qt.AlignRight
                id: switchCancelButton
                text: qsTr("Cancel")
                font.pointSize: 16
                // @disable-check M223
                onClicked: {
                    // @disable-check M222
                    popup.close()
                }
            }
        }
    }
}
