#include "qmlhandler.h"

QMLHandler::QMLHandler(QObject *parent) : QObject(parent) {}

// Sending
void QMLHandler::onSendingSelectFileButton(QUrl url) {
  qInfo() << "File Selected: " << url.toString();
  emit sendingSetFileUrlText("Selected File: " + url.toString());
}

void QMLHandler::onSendingSendFileButton() {
  qInfo() << "Sending File";
  emit log("Sending File");
}

// Receiving

// Messages
void QMLHandler::onMessagesSendButton(QString msg) { emit message(msg); }

// Settings
void QMLHandler::onSettingsSwitchServerButton() {
  emit settingsOpenSwitchServerPopup();
}

// Ip Popup
void QMLHandler::onIpPopupEnterIp(QString ip) {
  qInfo() << "Connecting to " << ip;
}

// Switch Popup
void QMLHandler::onSwitchPopupEnterIp(QString ip) {
  qInfo() << "Switching to " << ip;
}
