#ifndef QMLHANDLER_H
#define QMLHANDLER_H


#include <QDebug>
#include <QObject>
#include <QUrl>

class QMLHandler : public QObject {
  Q_OBJECT

public:
  explicit QMLHandler(QObject *parent = 0);

signals:
  // Sending
  void sendingSetFileUrlText(QString signalText);

  // Receiving

  // Messages
  void message(QString msg);

  // Settings
  void settingsOpenSwitchServerPopup();

  // Ip Popup

  // Switch Popup

  // Footer
  void log(QString logText);

public slots:
  // Sending
  void onSendingSelectFileButton(QUrl url);
  void onSendingSendFileButton();

  // Receiving

  // Messages
  void onMessagesSendButton(QString msg);

  // Settings
  void onSettingsSwitchServerButton();

  // Ip Popup
  void onIpPopupEnterIp(QString ip);

  // Switch Popup
  void onSwitchPopupEnterIp(QString ip);
};

#endif // QMLHANDLER_H
